Skip to main content
GET
/
transfer
/
transfers
List Transfers
curl --request GET \
  --url https://api.paxos.com/v2/transfer/transfers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/transfer/transfers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/transfer/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "f190b163-208f-4d73-8deb-4fb8b24add00",
      "ref_id": "idempotence_id",
      "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
      "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
      "amount": "0.10000000",
      "total": "0.10000023",
      "fee": "0.00000023",
      "asset": "BTC",
      "balance_asset": "BTC",
      "direction": "WITHDRAWAL",
      "type": "CRYPTO_WITHDRAWAL",
      "status": "COMPLETED",
      "created_at": "2020-01-17T18:36:08.737Z",
      "updated_at": "2020-01-17T18:37:08.737Z",
      "crypto_network": "BITCOIN",
      "crypto_tx_hash": "f4184fc596403b9d638783cf57adfe4c75c605f6356fbc91338530e9831e9e16",
      "crypto_tx_index": "0",
      "destination_address": "1BvBMSEYstWetqTFn5Au4m4GFg7xJaNVN2",
      "notional_value": "1.02",
      "metadata": {
        "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
      }
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
transfer:read_transfer

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_ids
string[]

Optionally filter by the target profiles of the transfers. Limit 100. Can be combined with created_at.* or updated_at.* filtering options only.

identity_ids
string[]

Optionally filter by the Identities associated with the transfers. Limit 100. Can be combined with created_at.* or updated_at.* filtering options only.

ref_ids
string[]

The client-specified IDs provided during transfer creation. Limit 100. Can be combined with created_at.* or updated_at.* filtering options only.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Determines whether the items are returned in ascending (ASC), or descending (DESC) order. Defaults to ASC if order_by is UPDATED_AT. Otherwise defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered. When specifying both order_by and a timestamp filter, order_by must equal the timestamp filter type. For example:

updated_at.gte = 2022-07-01T03:02:01Z, order_by = UPDATED_AT

Using updated_at.gte = 2022-07-01T03:02:01Z, order_by = CREATED_AT is an invalid pairing.

Available options:
CREATED_AT,
UPDATED_AT
page_cursor
string

Optional: Cursor for getting the next page of results. When the number of items returned is fewer than the limit, there is currently no next page.

account_ids
string[]

Optionally filter by the Accounts associated with the transfers. Limit 100. Can be combined with created_at.* or updated_at.* filtering options only.

ids
string[]

Optionally filter by the transfer ids. Limit 100. Can be combined with created_at.* or updated_at.* filtering options only.

type
enum<string>[]

Retrieve all (default) or the specified transfers. Optionally filter by transfer type. To retrieve multiple transfer types, use query parameters: e.g., type=CRYPTO_DEPOSIT&type=CRYPTO_WITHDRAWAL. Can be combined with created_at.* or updated_at.* filtering options only.

Available options:
INTERNAL_TRANSFER_DEBIT,
INTERNAL_TRANSFER_CREDIT,
CRYPTO_DEPOSIT,
CRYPTO_WITHDRAWAL,
WIRE_DEPOSIT,
WIRE_WITHDRAWAL,
SEN_DEPOSIT,
SEN_WITHDRAWAL,
BANK_DEPOSIT,
BANK_WITHDRAWAL,
PAXOS_TRANSFER_DEBIT,
PAXOS_TRANSFER_CREDIT,
SIGNET_DEPOSIT,
SIGNET_WITHDRAWAL,
CBIT_WITHDRAWAL,
CBIT_DEPOSIT,
CUBIX_DEPOSIT,
CUBIX_WITHDRAWAL,
RTP_DEPOSIT
group_ids
string[]

Optionally filter by transfer group_ids. Limit 100.

crypto_tx_hashes
string[]

Optionally filter by the on-chain transaction hash for crypto transactions. Limit 100.

secondary_statuses
enum<string>[]

Optionally filter by secondary status.

  • TRAVEL_RULE_INFO_REQUESTED: Travel rule information is required to continue processing the transfer.
  • TRAVEL_RULE_REJECTED: Transfer has been terminally rejected due to failing travel rule checks.
  • CUSTOMER_REJECTED: Transfer was rejected by a customer.
  • PENDING_CUSTOMER_APPROVAL: Transfer is pending customer approval.
Available options:
TRAVEL_RULE_INFO_REQUESTED,
TRAVEL_RULE_REJECTED,
CUSTOMER_REJECTED,
PENDING_CUSTOMER_APPROVAL
statuses
enum<string>[]

Optionally filter by status.

Available options:
PENDING,
COMPLETED,
FAILED

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string